Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77233 - Cross compile support in glibc
Summary: Cross compile support in glibc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-03 22:30 UTC by hjl
Modified: 2016-11-24 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-28 06:34:39 UTC


Attachments (Terms of Use)
A patch not to use LD (deleted)
2002-11-03 22:31 UTC, hjl
no flags Details | Diff

Description hjl 2002-11-03 22:30:57 UTC
RedHat glibc has

$(LD) -r -o $@ $^

It is not very friendly to cross compile.

Comment 1 hjl 2002-11-03 22:31:38 UTC
Created attachment 83368 [details]
A patch not to use LD

Comment 2 Jakub Jelinek 2002-11-10 20:26:18 UTC
Added to my tree.

Comment 3 Ulrich Drepper 2004-09-28 06:34:39 UTC
Closing since a) cross-compiling is nothing we care about for the
SRPM, and b) if Jakub made a change it's long in the sources.


Note You need to log in before you can comment on or make changes to this bug.